Page MenuHomePhabricator

[SLPVectorizer]Migrate getEntryCost to return InstructionCost
ClosedPublic

Authored by CarolineConcatto on Dec 11 2020, 9:22 AM.

Details

Summary

This patch also changes:

the return type of getGatherCost and
the signature of the debug function dumpTreeCosts

to use InstructionCost.

This patch is part of a series of patches to use InstructionCost instead of
unsigned/int for the cost model functions.

See this thread for context:
http://lists.llvm.org/pipermail/llvm-dev/2020-November/146408.html

See this patch for the introduction of the type:
https://reviews.llvm.org/D91174

Depends on D93049

Diff Detail

Event Timeline

CarolineConcatto requested review of this revision.Dec 11 2020, 9:22 AM
Herald added a project: Restricted Project. · View Herald TranscriptDec 11 2020, 9:22 AM
sdesmalen accepted this revision.Dec 13 2020, 10:46 PM

This change is purely mechanical. LGTM

This revision is now accepted and ready to land.Dec 13 2020, 10:46 PM
This revision was landed with ongoing or failed builds.Dec 16 2020, 6:19 AM
This revision was automatically updated to reflect the committed changes.